# Enum Class InchiFlag

java.lang.Object
java.lang.Enum<InchiFlag>
io.github.dan2097.jnainchi.InchiFlag

All Implemented Interfaces:
  `Serializable, Comparable<InchiFlag>, Constable`

public enum InchiFlag extends Enum<InchiFlag>

## Nested Class Summary

### Nested classes/interfaces inherited from class Enum

`Enum.EnumDesc<E>`

## Enum Constant Summary

Enum Constants
Enum Constant
Description
`AuxNone`
Omit auxiliary information
`ChiralFlagOFF`
Set chiral flag OFF
`ChiralFlagON`
Set chiral flag ON
`DoNotAddH`
All hydrogens in input structure are explicit [compatible with standard InChI]
`FixedH`
Include Fixed H layer
`FoldCRU`
Remove repeats within constitutional repeating units (CRU/SRU)
`KET`
Account for keto-enol tautomerism (experimental)
`LargeMolecules`
Allows input of molecules up to 32767 atoms [Produces 'InChI=1B' indicating beta status of resulting identifiers]
`LooseTSACheck`
Relax criteria of ambiguous drawing for in-ring tetrahedral stereo
`NEWPSOFF`
Both ends of wedge point to stereocenters [compatible with standard InChI]
`NoEdits`
Disable polymer CRU frame shift and folding
`NoFrameShift`
Disable polymer CRU frame shift
`NoWarnings`
Suppress all warning messages
`NPZz`
Allow non-polymer-related Zz atoms (pseudo element placeholders)
`OneFiveT`
Account for 1,5-tautomerism (experimental)
`OutErrInChI`
Output an empty InChI ("InChI=1//" or "InChI=1S//") on error
`Polymers`
Allow processing of polymers (experimental)
`Polymers105`
Allow processing of polymers (experimental, legacy mode of v.
`RecMet`
Include reconnected metals results
`SAbs`
Use absolute stereo (this is the default, so this flag is typically redundant)
`SAtZz`
Allow stereo at atoms connected to Zz
`SaveOpt`
Save custom InChI creation options (non-standard InChI)
`SLUUD`
Stereo labels for "unknown" and "undefined" are different, 'u' and '?', resp.
`SNon`
Ignore stereo [compatible with standard InChI]
`SRac`
Use racemic stereo
`SRel`
Use relative stereo
`SUCF`
Use Chiral Flag in MOL/SD file record: if On – use Absolute stereo, Off – use Relative stereo
`SUU`
Always indicate unknown/undefined stereo
`WarnOnEmptyStructure`
Warn and produce empty InChI for empty structure NOTE: This option doesn't currently work due to an InChI library bug

## Method Summary

Modifier and Type
Method
Description
`static InchiFlag`
`getFlagFromName(String name)`
`String`
`toString()`
`static InchiFlag`
`valueOf(String name)`
Returns the enum constant of this class with the specified name.
`static InchiFlag[]`
`values()`
Returns an array containing the constants of this enum class, in the order they are declared.

### Methods inherited from class Enum

`clone, compareTo, describeConstable, equals, finalize, getDeclaringClass, hashCode, name, ordinal, valueOf`

### Methods inherited from class Object

`getClass, notify, notifyAll, wait, wait, wait`

## Enum Constant Details

### NEWPSOFF

public static final InchiFlag NEWPSOFF
Both ends of wedge point to stereocenters [compatible with standard InChI]

### DoNotAddH

public static final InchiFlag DoNotAddH
All hydrogens in input structure are explicit [compatible with standard InChI]

### SNon

public static final InchiFlag SNon
Ignore stereo [compatible with standard InChI]

### SRel

public static final InchiFlag SRel
Use relative stereo

### SRac

public static final InchiFlag SRac
Use racemic stereo

### SUCF

public static final InchiFlag SUCF
Use Chiral Flag in MOL/SD file record: if On – use Absolute stereo, Off – use Relative stereo

### ChiralFlagON

public static final InchiFlag ChiralFlagON
Set chiral flag ON

### ChiralFlagOFF

public static final InchiFlag ChiralFlagOFF
Set chiral flag OFF

### LargeMolecules

public static final InchiFlag LargeMolecules
Allows input of molecules up to 32767 atoms [Produces 'InChI=1B' indicating beta status of resulting identifiers]

### SUU

public static final InchiFlag SUU
Always indicate unknown/undefined stereo

### SLUUD

public static final InchiFlag SLUUD
Stereo labels for "unknown" and "undefined" are different, 'u' and '?', resp.

### FixedH

public static final InchiFlag FixedH
Include Fixed H layer

### RecMet

public static final InchiFlag RecMet
Include reconnected metals results

### KET

public static final InchiFlag KET
Account for keto-enol tautomerism (experimental)

### OneFiveT

public static final InchiFlag OneFiveT
Account for 1,5-tautomerism (experimental)

### AuxNone

public static final InchiFlag AuxNone
Omit auxiliary information

### WarnOnEmptyStructure

public static final InchiFlag WarnOnEmptyStructure
Warn and produce empty InChI for empty structure NOTE: This option doesn't currently work due to an InChI library bug

### SaveOpt

public static final InchiFlag SaveOpt
Save custom InChI creation options (non-standard InChI)

### NoWarnings

public static final InchiFlag NoWarnings
Suppress all warning messages

### LooseTSACheck

public static final InchiFlag LooseTSACheck
Relax criteria of ambiguous drawing for in-ring tetrahedral stereo

### Polymers

public static final InchiFlag Polymers
Allow processing of polymers (experimental)

### Polymers105

public static final InchiFlag Polymers105
Allow processing of polymers (experimental, legacy mode of v. 1.05)

### FoldCRU

public static final InchiFlag FoldCRU
Remove repeats within constitutional repeating units (CRU/SRU)

### NoFrameShift

public static final InchiFlag NoFrameShift
Disable polymer CRU frame shift

### NoEdits

public static final InchiFlag NoEdits
Disable polymer CRU frame shift and folding

### NPZz

public static final InchiFlag NPZz
Allow non-polymer-related Zz atoms (pseudo element placeholders)

### SAtZz

public static final InchiFlag SAtZz
Allow stereo at atoms connected to Zz

### SAbs

public static final InchiFlag SAbs
Use absolute stereo (this is the default, so this flag is typically redundant)

### OutErrInChI

public static final InchiFlag OutErrInChI
Output an empty InChI ("InChI=1//" or "InChI=1S//") on error

## Method Details

### values

public static InchiFlag[] values()
Returns an array containing the constants of this enum class, in the order they are declared.

Returns:
  an array containing the constants of this enum class, in the order they are declared

### valueOf

public static InchiFlag valueOf(String name)
Returns the enum constant of this class with the specified name. The string must match exactly an identifier used to declare an enum constant in this class. (Extraneous whitespace characters are not permitted.)

Parameters:
  `name` - the name of the enum constant to be returned.
Returns:
  the enum constant with the specified name
Throws:
  `IllegalArgumentException` - if this enum class has no constant with the specified name
  `NullPointerException` - if the argument is null

### toString

public String toString()

Overrides:
  `toString` in class `Enum<InchiFlag>`

### getFlagFromName

public static InchiFlag getFlagFromName(String name)